Class | REXML::Declaration
In: | rexml/doctype.rb
Parent: | Child

This is an abstract class. You never use this directly; it serves as a parent class for the specific declarations.

### Methods

new to_s write

### Public Class methods

new(src)

[Source]

    # File rexml/doctype.rb, line 161
                    def initialize src
                            super()
                            @string = src
                    end

### Public Instance methods

to_s()

[Source]

    # File rexml/doctype.rb, line 166
                    def to_s
                            @string+'>'
                    end

write( output, indent )

[Source]

    # File rexml/doctype.rb, line 170
                    def write( output, indent )
                            output << ('   '*indent) if indent > 0
                            output << to_s
                    end

[Validate]